QGIS Application - Bug report #3326
Symbolization - Applying/OK new symbol qualities
2010-12-13 02:27 AM - Mars Sjoden

Status: Closed

Priority: Low

Assignee: nobody -

Category: Map Legend

Affected QGIS version: Regression?: No
Operating System: OS X Easy fix?: No
Pull Request or Patch supplied: Resolution: fixed
Crashes QGIS or corrupts data: Copied to github as #: 13386
Description

Using QGIS 1.6.0 [[SnowLeopard]] version with Kyng's Frameworks

| have tried many different shapefiles that seem to work fine in UDIG, GRASS, and [[ArcGIS]].

QGIS hard crashes when | try to change the Symbolization of a feature in the PROPERTIES pane. Clicking APPLY or DONE hard

crashes QGIS

| have re-installed QGIS and wiped any previous caches and .plist files from no difference.

10.6.5
Intel Macintosh iMac 24" 3ghz c2d
4gbram

ran memtest (just incase) memory is clear and fine.
ran fdisk file system is fine, no bad blocks etc.

History

#1 - 2010-12-13 05:54 AM - Giovanni Manghi

seems related to #3003

#2 - 2010-12-14 09:52 PM - Mars Sjoden

Replying to [comment:1 lutra]:

seems related to #3003

Yah the Symbology Changing crash is similar.

Except it is not random for me. It is every single time. Multiple shapefiles and gpx files.

Is there a way to merge these tickets? | do not know much about this system here.

#3 - 2010-12-15 02:16 AM - Giovanni Manghi

2025-04-27

12




Is there a way to merge these tickets? | do not know much about this system here.

they are now cross referenced. The developer that will eventually fix this will close both (if they are related).

#4 - 2010-12-15 07:12 AM - William Kyngesburye

No problems here with some simple shapefiles. | think I've seen a few random crashes when changing symbology in the past (1.4, 1.5), but it would work
the next time. | haven't had much time to work with 1.6 lately to see if it's any better.

I don't see anything in the crashlog that points to a packaging or build problem.

#5 - 2010-12-16 03:27 PM - Martin Dobias

- Status changed from Open to Closed

- Resolution set to fixed

Fixed in commit:ff96fbd3 (SVN r14935).

#6 - 2011-10-11 07:36 PM - Mars Sjoden

Glad to hear this was fixed for most people, however no change at my end.

When | finally was able to build from Trunk (r14935) it appeared to be working for the first 5 symbology changes,

However, After those 5 successful symbology changes QGIS would start hard crashing when applying or 'OK'" ing a symbol change.

Usually would happen when changing a moderately sized data set with apprx 1000+ features.

Nothing really special about the data sets, poly, line, points... tried some basic online data sets from OSM also.

Most of my data sets are stock from BC Data Warehouse with QGIS processing modifications.

I will try to build QGIS on Linux Mint 11 with the Debug flag set true, maybe there will be an insite there.

Files

qgis1.6crash.ixt 57.5KB 2010-12-13 Mars Sjoden
